KDE 4.5 PyKDE API Reference

- KDE's Python API

# KIO Namespace Reference

`from PyKDE4.kio.KIO import *`

## Detailed Description

A namespace for KIO globals

## Class Index

A | FileUndoManager (KIO) | RenameDialogPlugin (KIO)
AccessManager (KIO) | ForwardingSlaveBase (KIO) | S
AuthInfo (KIO) | J | Scheduler (KIO)
AutoLogin (KIO.NetRC) | Job (KIO) | SessionData (KIO)
C | JobUiDelegate (KIO) | SimpleJob (KIO)
ChmodJob (KIO) | L | SkipDialog (KIO)
Connection (KIO) | ListJob (KIO) | Slave (KIO)
ConnectionServer (KIO) | M | SlaveBase (KIO)
CookieJar (KIO.Integration) | MetaInfoJob (KIO) | SlaveConfig (KIO)
CopyInfo (KIO) | MimetypeJob (KIO) | SlaveInterface (KIO)
CopyJob (KIO) | MultiGetJob (KIO) | SpecialJob (KIO)
D | N | StatJob (KIO)
DavJob (KIO) | NetAccess (KIO) | StoredTransferJob (KIO)
DeleteJob (KIO) | NetRC (KIO) | T
DirectorySizeJob (KIO) | P | TCPSlaveBase (KIO)
F | PasswordDialog (KIO) | TransferJob (KIO)
FileCopyJob (KIO) | PreviewJob (KIO) | U
FileItem (KIO.RenameDialogPlugin) | R | UDSEntry (KIO)
FileJob (KIO) | RenameDialog (KIO) | UiInterface (KIO.FileUndoManager)

## Enumerations
CacheControl | { CC_CacheOnly, CC_Cache, CC_Verify, CC_Refresh, CC_Reload }
Command | { CMD_HOST, CMD_CONNECT, CMD_DISCONNECT, CMD_SLAVE_STATUS, CMD_SLAVE_CONNECT, CMD_SLAVE_HOLD, CMD_NONE, CMD_TESTDIR, CMD_GET, CMD_PUT, CMD_STAT, CMD_MIMETYPE, CMD_LISTDIR, CMD_MKDIR, CMD_RENAME, CMD_COPY, CMD_DEL, CMD_CHMOD, CMD_SPECIAL, CMD_SETMODIFICATIONTIME, CMD_REPARSECONFIGURATION, CMD_META_DATA, CMD_SYMLINK, CMD_SUBURL, CMD_MESSAGEBOXANSWER, CMD_RESUMEANSWER, CMD_CONFIG, CMD_MULTI_GET, CMD_SETLINKDEST, CMD_OPEN, CMD_CHOWN, CMD_READ, CMD_WRITE, CMD_SEEK, CMD_CLOSE, CMD_HOST_INFO }
Error | { ERR_CANNOT_OPEN_FOR_READING, ERR_CANNOT_OPEN_FOR_WRITING, ERR_CANNOT_LAUNCH_PROCESS, ERR_INTERNAL, ERR_MALFORMED_URL, ERR_UNSUPPORTED_PROTOCOL, ERR_NO_SOURCE_PROTOCOL, ERR_UNSUPPORTED_ACTION, ERR_IS_DIRECTORY, ERR_IS_FILE, ERR_DOES_NOT_EXIST, ERR_FILE_ALREADY_EXIST, ERR_DIR_ALREADY_EXIST, ERR_UNKNOWN_HOST, ERR_ACCESS_DENIED, ERR_WRITE_ACCESS_DENIED, ERR_CANNOT_ENTER_DIRECTORY, ERR_PROTOCOL_IS_NOT_A_FILESYSTEM, ERR_CYCLIC_LINK, ERR_USER_CANCELED, ERR_CYCLIC_COPY, ERR_COULD_NOT_CREATE_SOCKET, ERR_COULD_NOT_CONNECT, ERR_CONNECTION_BROKEN, ERR_NOT_FILTER_PROTOCOL, ERR_COULD_NOT_MOUNT, ERR_COULD_NOT_UNMOUNT, ERR_COULD_NOT_READ, ERR_COULD_NOT_WRITE, ERR_COULD_NOT_BIND, ERR_COULD_NOT_LISTEN, ERR_COULD_NOT_ACCEPT, ERR_COULD_NOT_LOGIN, ERR_COULD_NOT_STAT, ERR_COULD_NOT_CLOSEDIR, ERR_COULD_NOT_MKDIR, ERR_COULD_NOT_RMDIR, ERR_CANNOT_RESUME, ERR_CANNOT_RENAME, ERR_CANNOT_CHMOD, ERR_CANNOT_DELETE, ERR_SLAVE_DIED, ERR_OUT_OF_MEMORY, ERR_UNKNOWN_PROXY_HOST, ERR_COULD_NOT_AUTHENTICATE, ERR_ABORTED, ERR_INTERNAL_SERVER, ERR_SERVER_TIMEOUT, ERR_SERVICE_NOT_AVAILABLE, ERR_UNKNOWN, ERR_UNKNOWN_INTERRUPT, ERR_CANNOT_DELETE_ORIGINAL, ERR_CANNOT_DELETE_PARTIAL, ERR_CANNOT_RENAME_ORIGINAL, ERR_CANNOT_RENAME_PARTIAL, ERR_NEED_PASSWD, ERR_CANNOT_SYMLINK, ERR_NO_CONTENT, ERR_DISK_FULL, ERR_IDENTICAL_FILES, ERR_SLAVE_DEFINED, ERR_UPGRADE_REQUIRED, ERR_POST_DENIED, ERR_COULD_NOT_SEEK, ERR_CANNOT_SETTIME, ERR_CANNOT_CHOWN }
Info | { INF_TOTAL_SIZE, INF_PROCESSED_SIZE, INF_SPEED, INF_REDIRECTION, INF_MIME_TYPE, INF_ERROR_PAGE, INF_WARNING, INF_GETTING_FILE, INF_UNUSED, INF_INFOMESSAGE, INF_META_DATA, INF_NETWORK_STATUS, INF_MESSAGEBOX, INF_POSITION }
JobFlag | { DefaultFlags, HideProgressInfo, Resume, Overwrite }
LoadType | { Reload, NoReload }
Message | { MSG_DATA, MSG_DATA_REQ, MSG_ERROR, MSG_CONNECTED, MSG_FINISHED, MSG_STAT_ENTRY, MSG_LIST_ENTRIES, MSG_RENAMED, MSG_RESUME, MSG_SLAVE_STATUS, MSG_SLAVE_ACK, MSG_NET_REQUEST, MSG_NET_DROP, MSG_NEED_SUBURL_DATA, MSG_CANRESUME, MSG_AUTH_KEY, MSG_DEL_AUTH_KEY, MSG_OPENED, MSG_WRITTEN, MSG_HOST_INFO_REQ }
RenameDialog_Mode | { M_OVERWRITE, M_OVERWRITE_ITSELF, M_SKIP, M_SINGLE, M_MULTI, M_RESUME, M_NORENAME, M_ISDIR }
RenameDialog_Result | { R_RESUME, R_RESUME_ALL, R_OVERWRITE, R_OVERWRITE_ALL, R_SKIP, R_AUTO_SKIP, R_RENAME, R_AUTO_RENAME, R_CANCEL }
SkipDialog_Result | { S_SKIP, S_AUTO_SKIP, S_CANCEL }
## Functions
QString | buildErrorString (int errorCode, QString errorText)
QString | buildHTMLErrorString (int errorCode, QString errorText, KUrl reqUrl=0, int method=-1)
QTime | calculateRemaining (long totalSize, long processedSize, long speed)
long | calculateRemainingSeconds (long totalSize, long processedSize, long speed)
bool | canPasteMimeSource (QMimeData data)
KIO.ChmodJob | chmod (KFileItemList lstItems, int permissions, int mask, QString newOwner, QString newGroup, bool recursive, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.SimpleJob | chmod (KUrl url, int permissions)
KIO.SimpleJob | chown (KUrl url, QString owner, QString group)
QString | convertSeconds (long seconds)
QString | convertSize (long size)
QString | convertSizeFromKiB (long kibSize)
KIO.CopyJob | copy (KUrl src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | copy (KUrl.List src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | copyAs (KUrl src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.DavJob | davPropFind (KUrl url, QDomDocument properties, QString depth, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.DavJob | davPropPatch (KUrl url, QDomDocument properties, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.DavJob | davReport (KUrl url, QString report, QString depth, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.DavJob | davSearch (KUrl url, QString nsURI, QString qName, QString query, KIO.JobFlags flags=KIO.DefaultFlags)
QString | decodeFileName (QString str)
KIO.DeleteJob | del_ (KUrl src, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.DeleteJob | del_ (KUrl.List src, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.DirectorySizeJob | directorySize (KUrl directory)
KIO.DirectorySizeJob | directorySize (KFileItemList lstItems)
QString | encodeFileName (QString str)
KIO.MetaInfoJob | fileMetaInfo (KFileItemList items)
KIO.MetaInfoJob | fileMetaInfo (KUrl.List items)
KIO.PreviewJob | filePreview (KFileItemList items, int width, int height=0, int iconSize=0, int iconAlpha=70, bool scale=1, bool save=1, QStringList enabledPlugins=0)
KIO.PreviewJob | filePreview (KUrl.List items, int width, int height=0, int iconSize=0, int iconAlpha=70, bool scale=1, bool save=1, QStringList enabledPlugins=0)
KIO.FileCopyJob | file_copy (KUrl src, KUrl dest, int permissions=-1, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.FileCopyJob | file_copy (KUrl src, KUrl dest, KIO.JobFlags flags)
KIO.SimpleJob | file_delete (KUrl src, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.FileCopyJob | file_move (KUrl src, KUrl dest, int permissions=-1, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.FileCopyJob | file_move (KUrl src, KUrl dest, KIO.JobFlags flags)
KIO.TransferJob | get (KUrl url, KIO.LoadType reload=KIO.NoReload, KIO.JobFlags flags=KIO.DefaultFlags)
QString | getCacheControlString (KIO.CacheControl cacheControl)
KJobTrackerInterface | getJobTracker ()
KIO.TransferJob | http_post (KUrl url, QByteArray postData, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.SimpleJob | http_update_cache (KUrl url, bool no_cache, long expireDate)
QString | itemsSummaryString (long items, long files, long dirs, long size, bool showSize)
KIO.CopyJob | link (KUrl src, KUrl destDir, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | link (KUrl.List src, KUrl destDir, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | linkAs (KUrl src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.ListJob | listDir (KUrl url, KIO.JobFlags flags=KIO.DefaultFlags, bool includeHidden=1)
KIO.ListJob | listRecursive (KUrl url, KIO.JobFlags flags=KIO.DefaultFlags, bool includeHidden=1)
KIO.MimetypeJob | mimetype (KUrl url, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.SimpleJob | mkdir (KUrl url, int permissions=-1)
KIO.StatJob | mostLocalUrl (KUrl url, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.SimpleJob | mount (bool ro, QByteArray fstype, QString dev, QString point, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | move (KUrl src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | move (KUrl.List src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | moveAs (KUrl src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.MultiGetJob | multi_get (long id, KUrl url, KIO.MetaData metaData)
QString | number (long size)
KIO.FileJob | open (KUrl url, QIODevice.OpenMode mode)
QDataStream | operator << (QDataStream s, KIO.AuthInfo a)
QDBusArgument | operator << (QDBusArgument argument, KIO.AuthInfo a)
QDataStream | operator >> (QDataStream s, KIO.AuthInfo a)
QDBusArgument | operator >> (QDBusArgument argument, KIO.AuthInfo a)
KIO.CacheControl | parseCacheControl (QString cacheControl)
QString | pasteActionText ()
KIO.Job | pasteClipboard (KUrl destURL, QWidget widget, bool move=0)
| pasteData (KUrl destURL, QByteArray data, QWidget widget)
KIO.CopyJob | pasteDataAsync (KUrl destURL, QByteArray data, QWidget widget, QString dialogText=QString())
KIO.CopyJob | pasteMimeSource (QMimeData data, KUrl destURL, QString dialogText, QWidget widget, bool clipboard=0)
QPixmap | pixmapForUrl (KUrl _url, long _mode=0, KIconLoader.Group _group=KIconLoader.Desktop, int _force_size=0, int _state=0, QString _path=0)
KIO.TransferJob | put (KUrl url, int permissions, KIO.JobFlags flags=KIO.DefaultFlags)
QByteArray | rawErrorDetail (int errorCode, QString errorText, KUrl reqUrl=0, int method=-1)
KIO.SimpleJob | rename (KUrl src, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.SimpleJob | rmdir (KUrl url)
KIO.SimpleJob | setModificationTime (KUrl url, QDateTime mtime)
KIO.SimpleJob | special (KUrl url, QByteArray data, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.StatJob | stat (KUrl url, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.StatJob | stat (KUrl url, KIO.StatJob.StatSide side, int details, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.StatJob | stat (KUrl url, bool sideIsSource, int details, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.StoredTransferJob | storedGet (KUrl url, KIO.LoadType reload=KIO.NoReload, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.StoredTransferJob | storedHttpPost (QByteArray arr, KUrl url, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.StoredTransferJob | storedPut (QByteArray arr, KUrl url, int permissions, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.SimpleJob | symlink (QString target, KUrl dest, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | trash (KUrl src, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.CopyJob | trash (KUrl.List src, KIO.JobFlags flags=KIO.DefaultFlags)
KIO.SimpleJob | unmount (QString point, KIO.JobFlags flags=KIO.DefaultFlags)
QString | unsupportedActionErrorString (QString protocol, int cmd)

## Enumeration Documentation

CacheControl

Specifies how to use the cache.

See also:
  parseCacheControl()

See also:
  getCacheControlString()

Enumerator:

  CC_CacheOnly |
  CC_Cache |
  CC_Verify |
  CC_Refresh |
  CC_Reload |

Command

Internal:
  Commands that can be invoked by a job.

(Move this to a non-public header)

Enumerator:

  CMD_HOST = '0' |
  CMD_CONNECT = '1' |
  CMD_DISCONNECT = '2' |
  CMD_SLAVE_STATUS = '3' |
  CMD_SLAVE_CONNECT = '4' |
  CMD_SLAVE_HOLD = '5' |
  CMD_NONE = 'A' |
  CMD_TESTDIR = 'B' |
  CMD_GET = 'C' |
  CMD_PUT = 'D' |
  CMD_STAT = 'E' |
  CMD_MIMETYPE = 'F' |
  CMD_LISTDIR = 'G' |
  CMD_MKDIR = 'H' |
  CMD_RENAME = 'I' |
  CMD_COPY = 'J' |
  CMD_DEL = 'K' |
  CMD_CHMOD = 'L' |
  CMD_SPECIAL = 'M' |
  CMD_SETMODIFICATIONTIME = 'N' |
  CMD_REPARSECONFIGURATION = 'O' |
  CMD_META_DATA = 'P' |
  CMD_SYMLINK = 'Q' |
  CMD_SUBURL = 'R' |
  CMD_MESSAGEBOXANSWER = 'S' |
  CMD_RESUMEANSWER = 'T' |
  CMD_CONFIG = 'U' |
  CMD_MULTI_GET = 'V' |
  CMD_SETLINKDEST = 'W' |
  CMD_OPEN = 'X' |
  CMD_CHOWN = 'Y' |
  CMD_READ = 'Z' |
  CMD_WRITE = 91 |
  CMD_SEEK = 92 |
  CMD_CLOSE = 93 |
  CMD_HOST_INFO = 94 |

Error

Error codes that can be emitted by KIO.

Enumerator:

  ERR_CANNOT_OPEN_FOR_READING = KJob::UserDefinedError+1 |
  ERR_CANNOT_OPEN_FOR_WRITING = KJob::UserDefinedError+2 |
  ERR_CANNOT_LAUNCH_PROCESS = KJob::UserDefinedError+3 |
  ERR_INTERNAL = KJob::UserDefinedError+4 |
  ERR_MALFORMED_URL = KJob::UserDefinedError+5 |
  ERR_UNSUPPORTED_PROTOCOL = KJob::UserDefinedError+6 |
  ERR_NO_SOURCE_PROTOCOL = KJob::UserDefinedError+7 |
  ERR_UNSUPPORTED_ACTION = KJob::UserDefinedError+8 |
  ERR_IS_DIRECTORY = KJob::UserDefinedError+9 |
  ERR_IS_FILE = KJob::UserDefinedError+10 |
  ERR_DOES_NOT_EXIST = KJob::UserDefinedError+11 |
  ERR_FILE_ALREADY_EXIST = KJob::UserDefinedError+12 |
  ERR_DIR_ALREADY_EXIST = KJob::UserDefinedError+13 |
  ERR_UNKNOWN_HOST = KJob::UserDefinedError+14 |
  ERR_ACCESS_DENIED = KJob::UserDefinedError+15 |
  ERR_WRITE_ACCESS_DENIED = KJob::UserDefinedError+16 |
  ERR_CANNOT_ENTER_DIRECTORY = KJob::UserDefinedError+17 |
  ERR_PROTOCOL_IS_NOT_A_FILESYSTEM = KJob::UserDefinedError+18 |
  ERR_CYCLIC_LINK = KJob::UserDefinedError+19 |
  ERR_USER_CANCELED = KJob::KilledJobError |
  ERR_CYCLIC_COPY = KJob::UserDefinedError+21 |
  ERR_COULD_NOT_CREATE_SOCKET = KJob::UserDefinedError+22 |
  ERR_COULD_NOT_CONNECT = KJob::UserDefinedError+23 |
  ERR_CONNECTION_BROKEN = KJob::UserDefinedError+24 |
  ERR_NOT_FILTER_PROTOCOL = KJob::UserDefinedError+25 |
  ERR_COULD_NOT_MOUNT = KJob::UserDefinedError+26 |
  ERR_COULD_NOT_UNMOUNT = KJob::UserDefinedError+27 |
  ERR_COULD_NOT_READ = KJob::UserDefinedError+28 |
  ERR_COULD_NOT_WRITE = KJob::UserDefinedError+29 |
  ERR_COULD_NOT_BIND = KJob::UserDefinedError+30 |
  ERR_COULD_NOT_LISTEN = KJob::UserDefinedError+31 |
  ERR_COULD_NOT_ACCEPT = KJob::UserDefinedError+32 |
  ERR_COULD_NOT_LOGIN = KJob::UserDefinedError+33 |
  ERR_COULD_NOT_STAT = KJob::UserDefinedError+34 |
  ERR_COULD_NOT_CLOSEDIR = KJob::UserDefinedError+35 |
  ERR_COULD_NOT_MKDIR = KJob::UserDefinedError+37 |
  ERR_COULD_NOT_RMDIR = KJob::UserDefinedError+38 |
  ERR_CANNOT_RESUME = KJob::UserDefinedError+39 |
  ERR_CANNOT_RENAME = KJob::UserDefinedError+40 |
  ERR_CANNOT_CHMOD = KJob::UserDefinedError+41 |
  ERR_CANNOT_DELETE = KJob::UserDefinedError+42 |
  ERR_SLAVE_DIED = KJob::UserDefinedError+43 |
  ERR_OUT_OF_MEMORY = KJob::UserDefinedError+44 |
  ERR_UNKNOWN_PROXY_HOST = KJob::UserDefinedError+45 |
  ERR_COULD_NOT_AUTHENTICATE = KJob::UserDefinedError+46 |
  ERR_ABORTED = KJob::UserDefinedError+47 |
  ERR_INTERNAL_SERVER = KJob::UserDefinedError+48 |
  ERR_SERVER_TIMEOUT = KJob::UserDefinedError+49 |
  ERR_SERVICE_NOT_AVAILABLE = KJob::UserDefinedError+50 |
  ERR_UNKNOWN = KJob::UserDefinedError+51 |
  ERR_UNKNOWN_INTERRUPT = KJob::UserDefinedError+53 |
  ERR_CANNOT_DELETE_ORIGINAL = KJob::UserDefinedError+54 |
  ERR_CANNOT_DELETE_PARTIAL = KJob::UserDefinedError+55 |
  ERR_CANNOT_RENAME_ORIGINAL = KJob::UserDefinedError+56 |
  ERR_CANNOT_RENAME_PARTIAL = KJob::UserDefinedError+57 |
  ERR_NEED_PASSWD = KJob::UserDefinedError+58 |
  ERR_CANNOT_SYMLINK = KJob::UserDefinedError+59 |
  ERR_NO_CONTENT = KJob::UserDefinedError+60 |
  ERR_DISK_FULL = KJob::UserDefinedError+61 |
  ERR_IDENTICAL_FILES = KJob::UserDefinedError+62 |
  ERR_SLAVE_DEFINED = KJob::UserDefinedError+63 |
  ERR_UPGRADE_REQUIRED = KJob::UserDefinedError+64 |
  ERR_POST_DENIED = KJob::UserDefinedError+65 |
  ERR_COULD_NOT_SEEK = KJob::UserDefinedError+66 |
  ERR_CANNOT_SETTIME = KJob::UserDefinedError+67 |
  ERR_CANNOT_CHOWN = KJob::UserDefinedError+68 |

Info

Identifiers for KIO informational messages.

Enumerator:

  INF_TOTAL_SIZE = 10 |
  INF_PROCESSED_SIZE = 11 |
  INF_SPEED |
  INF_REDIRECTION = 20 |
  INF_MIME_TYPE = 21 |
  INF_ERROR_PAGE = 22 |
  INF_WARNING = 23 |
  INF_GETTING_FILE |
  INF_UNUSED = 25 |
  INF_INFOMESSAGE |
  INF_META_DATA |
  INF_NETWORK_STATUS |
  INF_MESSAGEBOX |
  INF_POSITION |

JobFlag

Flags for the job properties. Not all flags are supported in all cases. Please see documentation of the calling function!

Enumerator:

  DefaultFlags = 0 |
  HideProgressInfo = 1 |
  Resume = 2 |
  Overwrite = 4 |

LoadType

Enumerator:

  Reload |
  NoReload |

Message

Identifiers for KIO data messages.

Enumerator:

  MSG_DATA = 100 |
  MSG_DATA_REQ |
  MSG_ERROR |
  MSG_CONNECTED |
  MSG_FINISHED |
  MSG_STAT_ENTRY |
  MSG_LIST_ENTRIES |
  MSG_RENAMED |
  MSG_RESUME |
  MSG_SLAVE_STATUS |
  MSG_SLAVE_ACK |
  MSG_NET_REQUEST |
  MSG_NET_DROP |
  MSG_NEED_SUBURL_DATA |
  MSG_CANRESUME |
  MSG_AUTH_KEY |
  MSG_DEL_AUTH_KEY |
  MSG_OPENED |
  MSG_WRITTEN |
  MSG_HOST_INFO_REQ |

RenameDialog_Mode

M_OVERWRITE: We have an existing dest, show details about it and offer to overwrite it. M_OVERWRITE_ITSELF: Warn that the current operation would overwrite a file with itself, which is not allowed. M_SKIP: Offer a "Skip" button, to skip other files too. Requires M_MULTI. M_SINGLE: Deprecated and unused, please ignore. M_MULTI: Set if the current operation concerns multiple files, so it makes sense to offer buttons that apply the user's choice to all files/folders. M_RESUME: Offer a "Resume" button (plus "Resume All" if M_MULTI) M_NORENAME: Don't offer a "Rename" button M_ISDIR: The dest is a directory, so label the "overwrite" button something like "merge" instead.

Enumerator:

  M_OVERWRITE = 1 |
  M_OVERWRITE_ITSELF = 2 |
  M_SKIP = 4 |
  M_SINGLE = 8 |
  M_MULTI = 16 |
  M_RESUME = 32 |
  M_NORENAME = 64 |
  M_ISDIR = 128 |

RenameDialog_Result

The result of open_RenameDialog().

Enumerator:

  R_RESUME = 6 |
  R_RESUME_ALL = 7 |
  R_OVERWRITE = 4 |
  R_OVERWRITE_ALL = 5 |
  R_SKIP = 2 |
  R_AUTO_SKIP = 3 |
  R_RENAME = 1 |
  R_AUTO_RENAME = 8 |
  R_CANCEL = 0 |

SkipDialog_Result

Enumerator:

  S_SKIP = 1 |
  S_AUTO_SKIP = 2 |
  S_CANCEL = 0 |

## Function Documentation

QString buildErrorString | ( | int | errorCode,
|  | QString | errorText
| ) |  |  |

Returns a translated error message for errorCode using the additional error information provided by errorText.

Parameters:

  | errorCode | the error code
  | errorText | the additional error text

Returns:
  the created error string

QString buildHTMLErrorString | ( | int | errorCode,
|  | QString | errorText,
|  | KUrl | reqUrl=0,
|  | int | method=-1
| ) |  |  |

Returns a translated html error message for errorCode using the additional error information provided by errorText , reqUrl (the request URL), and the ioslave method .

Parameters:

  | errorCode | the error code
  | errorText | the additional error text
  | reqUrl | the request URL
  | method | the ioslave method

Returns:
  the created error string

QTime calculateRemaining | ( | long | totalSize,
|  | long | processedSize,
|  | long | speed
| ) |  |  |

Calculates remaining time from total size, processed size and speed. Warning: As QTime is limited to 23:59:59, use calculateRemainingSeconds() instead

Parameters:

  |  | totalSize total size in bytes
  |  | processedSize processed size in bytes
  |  | speed speed in bytes per second

Returns:
  calculated remaining time

long calculateRemainingSeconds | ( | long | totalSize,
|  | long | processedSize,
|  | long | speed
| ) |  |  |

Calculates remaining time in seconds from total size, processed size and speed.

Parameters:

  |  | totalSize total size in bytes
  |  | processedSize processed size in bytes
  |  | speed speed in bytes per second

Returns:
  calculated remaining time in seconds

bool canPasteMimeSource | ( | QMimeData | data
| ) |  |  |

Returns true if pasteMimeSource finds any interesting format in data. You can use this method to enable/disable the paste action appropriately.

Since:
  4.3

KIO.ChmodJob chmod | ( | KFileItemList | lstItems,
|  | int | permissions,
|  | int | mask,
|  | QString | newOwner,
|  | QString | newGroup,
|  | bool | recursive,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Changes permissions on a file or directory. See the other chmod in chmodjob.h for changing many files or directories.

Parameters:

  | url | The URL of file or directory.
  | permissions | The permissions to set.

Returns:
  the job handling the operation.

KIO.SimpleJob chmod | ( | KUrl | url,
|  | int | permissions
| ) |  |  |

Changes permissions on a file or directory. See the other chmod in chmodjob.h for changing many files or directories.

Parameters:

  | url | The URL of file or directory.
  | permissions | The permissions to set.

Returns:
  the job handling the operation.

KIO.SimpleJob chown | ( | KUrl | url,
|  | QString | owner,
|  | QString | group
| ) |  |  |

Changes ownership and group of a file or directory.

Parameters:

  | url | The URL of file or directory.
  | owner | the new owner
  | group | the new group

Returns:
  the job handling the operation.

QString convertSeconds | ( | long | seconds
| ) |  |  |

Convert seconds to a string representing number of days, hours, minutes and seconds

Parameters:

  |  | seconds number of seconds to convert

Returns:
  string representation in a locale depending format

QString convertSize | ( | long | size
| ) |  |  |

Converts size from bytes to the string representation.

Parameters:

  |  | size size in bytes

Returns:
  converted size as a string - e.g. 123.4 KiB , 12.0 MiB

QString convertSizeFromKiB | ( | long | kibSize
| ) |  |  |

Converts size from kibi-bytes (2^10) to the string representation.

Parameters:

  |  | kibSize size in kibi-bytes (2^10)

Returns:
  converted size as a string - e.g. 123.4 KiB , 12.0 MiB

KIO.CopyJob copy | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Copy a list of file/dirs src into a destination directory dest.

Parameters:

  | src | the list of files and/or directories
  | dest | the destination
  | flags: | copy() supports HideProgressInfo and Overwrite. Note: Overwrite has the meaning of both "write into existing directories" and "overwrite existing files". However if "dest" exists, then src is copied into a subdir of dest, just like "cp" does.

Returns:
  the job handling the operation

KIO.CopyJob copy | ( | KUrl.List | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Copy a list of file/dirs src into a destination directory dest.

Parameters:

  | src | the list of files and/or directories
  | dest | the destination
  | flags: | copy() supports HideProgressInfo and Overwrite. Note: Overwrite has the meaning of both "write into existing directories" and "overwrite existing files". However if "dest" exists, then src is copied into a subdir of dest, just like "cp" does.

Returns:
  the job handling the operation

KIO.CopyJob copyAs | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Copy a file or directory src into the destination dest, which is the destination name in any case, even for a directory.

As opposed to copy(), this doesn't emulate cp, but is the only way to copy a directory, giving it a new name and getting an error box if a directory already exists with the same name (or writing the contents of src into dest, when using Overwrite).

Parameters:

  | src | the file or directory to copy
  | dest | the destination
  | flags: | copyAs() supports HideProgressInfo and Overwrite. Note: Overwrite has the meaning of both "write into existing directories" and "overwrite existing files".

*

Returns:
  the job handling the operation

KIO.DavJob davPropFind | ( | KUrl | url,
|  | QDomDocument | properties,
|  | QString | depth,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Creates a new DavJob that issues a PROPFIND command. PROPFIND retrieves the properties of the resource identified by the given url.

Parameters:

  | url | the URL of the resource
  | properties | a propfind document that describes the properties that should be retrieved
  | depth | the depth of the request. Can be "0", "1" or "infinity"
  | flags: | We support HideProgressInfo here

Returns:
  the new DavJob

KIO.DavJob davPropPatch | ( | KUrl | url,
|  | QDomDocument | properties,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Creates a new DavJob that issues a PROPPATCH command. PROPPATCH sets the properties of the resource identified by the given url.

Parameters:

  | url | the URL of the resource
  | properties | a PROPPACTCH document that describes the properties that should be modified and its new values
  | flags: | We support HideProgressInfo here

Returns:
  the new DavJob

KIO.DavJob davReport | ( | KUrl | url,
|  | QString | report,
|  | QString | depth,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Creates a new DavJob that issues a REPORT command.

Parameters:

  | url | the URL of the resource
  | report | a REPORT document that describes the request to make
  | depth | the depth of the request. Can be "0", "1" or "infinity"
  | flags: | We support HideProgressInfo here

Returns:
  the new DavJob

Since:
  4.4

KIO.DavJob davSearch | ( | KUrl | url,
|  | QString | nsURI,
|  | QString | qName,
|  | QString | query,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Creates a new DavJob that issues a SEARCH command.

Parameters:

  | url | the URL of the resource
  | nsURI | the URI of the search method's qualified name
  | qName | the local part of the search method's qualified name
  | query | the search string
  | flags: | We support HideProgressInfo here

Returns:
  the new DavJob

QString decodeFileName | ( | QString | str
| ) |  |  |

Decodes (from the filename to the text displayed) This translates %2[fF] into / and %% into %

Parameters:

  | str | the file name to decode

Returns:
  the decoded file name

KIO.DeleteJob del_ | ( | KUrl | src,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Deletes a list of files or directories.

Parameters:

  | src | the files to delete
  | flags: | We support HideProgressInfo here

Returns:
  the job handling the operation

KIO.DeleteJob del_ | ( | KUrl.List | src,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Deletes a list of files or directories.

Parameters:

  | src | the files to delete
  | flags: | We support HideProgressInfo here

Returns:
  the job handling the operation

KIO.DirectorySizeJob directorySize | ( | KUrl | directory
| ) |  |  |

Computes a directory size (by doing a recursive listing). Connect to the result signal (this is the preferred solution to avoid blocking the GUI), or use exec() for a synchronous (blocking) calculation.

This one lists the items from lstItems. The reason we asks for items instead of just urls, is so that we directly know if the item is a file or a directory, and in case of a file, we already have its size.

KIO.DirectorySizeJob directorySize | ( | KFileItemList | lstItems
| ) |  |  |

Computes a directory size (by doing a recursive listing). Connect to the result signal (this is the preferred solution to avoid blocking the GUI), or use exec() for a synchronous (blocking) calculation.

This one lists the items from lstItems. The reason we asks for items instead of just urls, is so that we directly know if the item is a file or a directory, and in case of a file, we already have its size.

QString encodeFileName | ( | QString | str
| ) |  |  |

Encodes (from the text displayed to the real filename) This translates % into %% and / into %2f Used by KIO.link, for instance.

Parameters:

  | str | the file name to encode

Returns:
  the encoded file name

KIO.MetaInfoJob fileMetaInfo | ( | KFileItemList | items
| ) |  |  |

Retrieves meta information for the given items.

Parameters:

  | items | files to get metainfo for

Returns:
  the MetaInfoJob to retrieve the items

KIO.MetaInfoJob fileMetaInfo | ( | KUrl.List | items
| ) |  |  |

Retrieves meta information for the given items.

Parameters:

  | items | files to get metainfo for

Returns:
  the MetaInfoJob to retrieve the items

KIO.PreviewJob filePreview | ( | KFileItemList | items,
|  | int | width,
|  | int | height=0,
|  | int | iconSize=0,
|  | int | iconAlpha=70,
|  | bool | scale=1,
|  | bool | save=1,
|  | QStringList | enabledPlugins=0
| ) |  |  |

Creates a PreviewJob to generate or retrieve a preview image for the given URL.

Parameters:

  | items | files to get previews for
  | width | the maximum width to use
  | height | the maximum height to use, if this is 0, the same value as width is used.
  | iconSize | the size of the mimetype icon to overlay over the preview or zero to not overlay an icon. This has no effect if the preview plugin that will be used doesn't use icon overlays.
  | iconAlpha | transparency to use for the icon overlay
  | scale | if the image is to be scaled to the requested size or returned in its original size
  | save | if the image should be cached for later use
  | enabledPlugins | if non-zero, this points to a list containing the names of the plugins that may be used.

Returns:
  the new PreviewJob

See also:
  PreviewJob.availablePlugins()

KIO.PreviewJob filePreview | ( | KUrl.List | items,
|  | int | width,
|  | int | height=0,
|  | int | iconSize=0,
|  | int | iconAlpha=70,
|  | bool | scale=1,
|  | bool | save=1,
|  | QStringList | enabledPlugins=0
| ) |  |  |

Creates a PreviewJob to generate or retrieve a preview image for the given URL.

Parameters:

  | items | files to get previews for
  | width | the maximum width to use
  | height | the maximum height to use, if this is 0, the same value as width is used.
  | iconSize | the size of the mimetype icon to overlay over the preview or zero to not overlay an icon. This has no effect if the preview plugin that will be used doesn't use icon overlays.
  | iconAlpha | transparency to use for the icon overlay
  | scale | if the image is to be scaled to the requested size or returned in its original size
  | save | if the image should be cached for later use
  | enabledPlugins | if non-zero, this points to a list containing the names of the plugins that may be used.

Returns:
  the new PreviewJob

See also:
  PreviewJob.availablePlugins()

KIO.FileCopyJob file_copy | ( | KUrl | src,
|  | KUrl | dest,
|  | int | permissions=-1,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Overload for catching code mistakes. Do NOT call this method (it is not implemented), insert a value for permissions (-1 by default) before the JobFlags.

Since:
  4.5

KIO.FileCopyJob file_copy | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags
| ) |  |  |

Overload for catching code mistakes. Do NOT call this method (it is not implemented), insert a value for permissions (-1 by default) before the JobFlags.

Since:
  4.5

KIO.SimpleJob file_delete | ( | KUrl | src,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Delete a single file.

Parameters:

  | src | File to delete.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.FileCopyJob file_move | ( | KUrl | src,
|  | KUrl | dest,
|  | int | permissions=-1,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Overload for catching code mistakes. Do NOT call this method (it is not implemented), insert a value for permissions (-1 by default) before the JobFlags.

Since:
  4.3

KIO.FileCopyJob file_move | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags
| ) |  |  |

Overload for catching code mistakes. Do NOT call this method (it is not implemented), insert a value for permissions (-1 by default) before the JobFlags.

Since:
  4.3

KIO.TransferJob get | ( | KUrl | url,
|  | KIO.LoadType | reload=KIO.NoReload,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Get (a.k.a. read). This is the job to use in order to "download" a file into memory. The slave emits the data through the data() signal.

Special case: if you want to determine the mimetype of the file first, and then read it with the appropriate component, you can still use a KIO.get() directly. When that job emits the mimeType signal, (which is guaranteed to happen before it emits any data), put the job on hold:

    job->putOnHold();
    KIO.Scheduler.publishSlaveOnHold();

and forget about the job. The next time someone does a KIO.get() on the same URL (even in another process) this job will be resumed. This saves KIO from doing two requests to the server.

Parameters:

  | url | the URL of the file
  | reload: | Reload to reload the file, NoReload if it can be taken from the cache
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

QString getCacheControlString | ( | KIO.CacheControl | cacheControl
| ) |  |  |

Returns a string representation of the given cache control method.

Parameters:

  | cacheControl | the cache control method

Returns:
  the string representation

See also:
  parseCacheControl()

KJobTrackerInterface getJobTracker | ( |  | ) |

KIO.TransferJob http_post | ( | KUrl | url,
|  | QByteArray | postData,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

HTTP POST (for form data).

Example:

        job = KIO.http_post( url, postData, KIO.HideProgressInfo );
        job->addMetaData("content-type", contentType );
        job->addMetaData("referrer", referrerURL);

postData is the data that you want to send and contentType is the complete HTTP header line that specifies the content's MIME type, for example "Content-Type: text/xml".

You MUST specify content-type!

Often contentType is "Content-Type: application/x-www-form-urlencoded" and the postData is then an ASCII string (without null-termination!) with characters like space, linefeed and percent escaped like %20, %0A and %25.

Parameters:

  | url | Where to write the data.
  | postData | Encoded data to post.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.SimpleJob http_update_cache | ( | KUrl | url,
|  | bool | no_cache,
|  | long | expireDate
| ) |  |  |

HTTP cache update

Parameters:

  | url | Url to update, protocol must be "http".
  | no_cache | If true, cache entry for url is deleted.
  | expireDate | Local machine time indicating when the entry is supposed to expire.

Returns:
  the job handling the operation.

QString itemsSummaryString | ( | long | items,
|  | long | files,
|  | long | dirs,
|  | long | size,
|  | bool | showSize
| ) |  |  |

Helper for showing information about a set of files and directories

Parameters:

  | items | the number of items (= files + dirs + number of symlinks :)
  | files | the number of files
  | dirs | the number of dirs
  | size | the sum of the size of the files
  | showSize | whether to show the size in the result

Returns:
  the summary string

KIO.CopyJob link | ( | KUrl | src,
|  | KUrl | destDir,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Create several links If the protocols and hosts are the same, a Unix symlink will be created. Otherwise, a .desktop file of Type Link and pointing to the src URL will be created.

Parameters:

  | src | The existing files or directories, 'targets' of the link.
  | destDir | Destination directory where the links will be created.
  | flags: | link() supports HideProgressInfo only

Returns:
  the job handling the operation

See also:
  link()

KIO.CopyJob link | ( | KUrl.List | src,
|  | KUrl | destDir,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Create several links If the protocols and hosts are the same, a Unix symlink will be created. Otherwise, a .desktop file of Type Link and pointing to the src URL will be created.

Parameters:

  | src | The existing files or directories, 'targets' of the link.
  | destDir | Destination directory where the links will be created.
  | flags: | link() supports HideProgressInfo only

Returns:
  the job handling the operation

See also:
  link()

KIO.CopyJob linkAs | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Create a link. Unlike link() this operation will fail when the directory already exists. If the protocols and hosts are the same, a Unix symlink will be created. Otherwise, a .desktop file of Type Link and pointing to the src URL will be created.

Parameters:

  | src | The existing file or directory, 'target' of the link.
  | dest | Destination directory where the link will be created.
  | flags: | linkAs() supports HideProgressInfo only

Returns:
  the job handling the operation

See also:
  link ()

See also:
  copyAs()

KIO.ListJob listDir | ( | KUrl | url,
|  | KIO.JobFlags | flags=KIO.DefaultFlags,
|  | bool | includeHidden=1
| ) |  |  |

List the contents of url, which is assumed to be a directory.

"." and ".." are returned, filter them out if you don't want them.

Parameters:

  | url | the url of the directory
  | flags | Can be HideProgressInfo here
  | includeHidden | true for all files, false to cull out UNIX hidden files/dirs (whose names start with dot)

Returns:
  the job handling the operation.

KIO.ListJob listRecursive | ( | KUrl | url,
|  | KIO.JobFlags | flags=KIO.DefaultFlags,
|  | bool | includeHidden=1
| ) |  |  |

The same as the previous method, but recurses subdirectories. Directory links are not followed.

"." and ".." are returned but only for the toplevel directory. Filter them out if you don't want them.

Parameters:

  | url | the url of the directory
  | flags | Can be HideProgressInfo here
  | includeHidden | true for all files, false to cull out UNIX hidden files/dirs (whose names start with dot)

Returns:
  the job handling the operation.

KIO.MimetypeJob mimetype | ( | KUrl | url,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Find mimetype for one file or directory.

If you are going to download the file right after determining its mimetype, then don't use this, prefer using a KIO.get() job instead. See the note about putting the job on hold once the mimetype is determined.

Parameters:

  | url | the URL of the file
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.SimpleJob mkdir | ( | KUrl | url,
|  | int | permissions=-1
| ) |  |  |

Creates a single directory.

Parameters:

  | url | The URL of the directory to create.
  | permissions | The permissions to set after creating the directory (unix-style), -1 for default permissions.

Returns:
  A pointer to the job handling the operation.

KIO.StatJob mostLocalUrl | ( | KUrl | url,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Tries to map a local URL for the given URL, using a KIO job.

Starts a (stat) job for determining the "most local URL" for a given URL. Retrieve the result with StatJob.mostLocalUrl in the result slot.

Parameters:

  | url | The URL we are testing.

Since:
  4.4

KIO.SimpleJob mount | ( | bool | ro,
|  | QByteArray | fstype,
|  | QString | dev,
|  | QString | point,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Mount filesystem.

Special job for kio_file.

Parameters:

  | ro | Mount read-only if true.
  | fstype | File system type (e.g. "ext2", can be empty).
  | dev | Device (e.g. /dev/sda0).
  | point | Mount point, can be null.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.CopyJob move | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Moves a list of files or directories src to the given destination dest.

Parameters:

  | src | the list of files or directories to copy
  | dest | the destination
  | flags: | move() supports HideProgressInfo and Overwrite. Note: Overwrite has the meaning of both "write into existing directories" and "overwrite existing files". However if "dest" exists, then src is copied into a subdir of dest, just like "cp" does.

Returns:
  the job handling the operation

See also:
  copy()

KIO.CopyJob move | ( | KUrl.List | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Moves a list of files or directories src to the given destination dest.

Parameters:

  | src | the list of files or directories to copy
  | dest | the destination
  | flags: | move() supports HideProgressInfo and Overwrite. Note: Overwrite has the meaning of both "write into existing directories" and "overwrite existing files". However if "dest" exists, then src is copied into a subdir of dest, just like "cp" does.

Returns:
  the job handling the operation

See also:
  copy()

KIO.CopyJob moveAs | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Moves a file or directory src to the given destination dest. Unlike move() this operation will not move src into dest when dest exists: it will either fail, or move the contents of src into it if Overwrite is set.

Parameters:

  | src | the file or directory to copy
  | dest | the destination
  | flags: | moveAs() supports HideProgressInfo and Overwrite. Note: Overwrite has the meaning of both "write into existing directories" and "overwrite existing files".

Returns:
  the job handling the operation

See also:
  copyAs()

KIO.MultiGetJob multi_get | ( | long | id,
|  | KUrl | url,
|  | KIO.MetaData | metaData
| ) |  |  |

Creates a new multiple get job.

Parameters:

  | id | the id of the get operation
  | url | the URL of the file
  | metaData | the MetaData associated with the file

Returns:
  the job handling the operation.

See also:
  get()

QString number | ( | long | size
| ) |  |  |

Converts a size to a string representation Not unlike QString.number(...)

Parameters:

  | size | size in bytes

Returns:
  converted size as a string - e.g. 123456789

KIO.FileJob open | ( | KUrl | url,
|  | QIODevice.OpenMode | mode
| ) |  |  |

Open ( random access I/O )

The file-job emits open() when opened

Parameters:

  | url | the URL of the file
  | mode | the access privileges: see OpenMode

Returns:
  The file-handling job. It will never return 0. Errors are handled asynchronously (emitted as signals).

QDataStream operator << | ( | QDataStream | s,
|  | KIO.AuthInfo | a
| ) |  |  |

This class is intended to make it easier to prompt for, cache and retrieve authorization information.

When using this class to cache, retrieve or prompt authentication information, you only need to set the necessary attributes. For example, to check whether a password is already cached, the only required information is the URL of the resource and optionally whether or not a path match should be performed. Similarly, to prompt for password you only need to optionally set the prompt, username (if already supplied), comment and commentLabel fields.

<em>SPECIAL NOTE:</em> If you extend this class to add additional parameters do not forget to overload the stream insertion and extraction operators ("<<" and ">>") so that the added data can be correctly serialzed.

A two way messaging class for passing authentication information.

Author:
  Dawit Alemayehu <adawit@kde.org>

QDBusArgument operator << | ( | QDBusArgument | argument,
|  | KIO.AuthInfo | a
| ) |  |  |

This class is intended to make it easier to prompt for, cache and retrieve authorization information.

When using this class to cache, retrieve or prompt authentication information, you only need to set the necessary attributes. For example, to check whether a password is already cached, the only required information is the URL of the resource and optionally whether or not a path match should be performed. Similarly, to prompt for password you only need to optionally set the prompt, username (if already supplied), comment and commentLabel fields.

<em>SPECIAL NOTE:</em> If you extend this class to add additional parameters do not forget to overload the stream insertion and extraction operators ("<<" and ">>") so that the added data can be correctly serialzed.

A two way messaging class for passing authentication information.

Author:
  Dawit Alemayehu <adawit@kde.org>

QDataStream operator >> | ( | QDataStream | s,
|  | KIO.AuthInfo | a
| ) |  |  |

QDBusArgument operator >> | ( | QDBusArgument | argument,
|  | KIO.AuthInfo | a
| ) |  |  |

KIO.CacheControl parseCacheControl | ( | QString | cacheControl
| ) |  |  |

Parses the string representation of the cache control option.

Parameters:

  | cacheControl | the string representation

Returns:
  the cache control value

See also:
  getCacheControlString()

QString pasteActionText | ( |  | ) |

Returns the text to use for the Paste action, when the application supports pasting files, urls, and clipboard data, using pasteClipboard().

Returns:
  a string suitable for KAction.setText, or an empty string if pasting isn't possible right now.

KIO.Job pasteClipboard | ( | KUrl | destURL,
|  | QWidget | widget,
|  | bool | move=0
| ) |  |  |

Pastes the content of the clipboard to the given destination URL. URLs are treated separately (performing a file copy) from other data (which is saved into a file after asking the user to choose a filename and the preferred data format)

Parameters:

  | destURL | the URL to receive the data
  | widget | parent widget to use for dialogs
  | move | true to move the data, false to copy

Returns:
  the job that handles the operation

See also:
  pasteData()

pasteData | ( | KUrl | destURL,
|  | QByteArray | data,
|  | QWidget | widget
| ) |  |  |

Pastes the given data to the given destination URL. NOTE: This method is blocking (uses NetAccess for saving the data). Please consider using pasteDataAsync instead.

Parameters:

  | destURL | the URL of the directory where the data will be pasted. The filename to use in that directory is prompted by this method.
  | data | the data to copy
  | widget | parent widget to use for dialogs

See also:
  pasteClipboard()

KIO.CopyJob pasteDataAsync | ( | KUrl | destURL,
|  | QByteArray | data,
|  | QWidget | widget,
|  | QString | dialogText=QString()
| ) |  |  |

Pastes the given data to the given destination URL. Note that this method requires the caller to have chosen the QByteArray to paste before hand, unlike pasteClipboard and pasteMimeSource.

Parameters:

  | destURL | the URL of the directory where the data will be pasted. The filename to use in that directory is prompted by this method.
  | data | the data to copy
  | dialogText | the text to show in the dialog

See also:
  pasteClipboard()

KIO.CopyJob pasteMimeSource | ( | QMimeData | data,
|  | KUrl | destURL,
|  | QString | dialogText,
|  | QWidget | widget,
|  | bool | clipboard=0
| ) |  |  |

Save the given mimesource data to the given destination URL after offering the user to choose a data format. This is the method used when handling drops (of anything else than URLs) onto dolphin and konqueror; it is also called when pasting data.

Parameters:

  | data | the QMimeData (from a QDropEvent or from the clipboard when pasting)
  | destURL | the URL of the directory where the data will be pasted. The filename to use in that directory is prompted by this method.
  | dialogText | the text to show in the dialog
  | widget | parent widget to use for dialogs
  | clipboard | whether the QMimeSource comes from QClipboard. If you use pasteClipboard for that case, you never have to worry about this parameter.

See also:
  pasteClipboard()

QPixmap pixmapForUrl | ( | KUrl | _url,
|  | long | _mode=0,
|  | KIconLoader.Group | _group=KIconLoader.Desktop,
|  | int | _force_size=0,
|  | int | _state=0,
|  | QString | _path=0
| ) |  |  |

Convenience method to find the pixmap for a URL.

Call this one when you don't know the mimetype.

Parameters:

  | _url | URL for the file.
  | _mode | the mode of the file. The mode may modify the icon with overlays that show special properties of the icon. Use 0 for default
  | _group | The icon group where the icon is going to be used.
  | _force_size | Override globally configured icon size. Use 0 for the default size
  | _state | The icon state, one of: KIconLoader.DefaultState, KIconLoader.ActiveState or KIconLoader.DisabledState.
  | _path | Output parameter to get the full path. Seldom needed. Ignored if 0

Returns:
  the pixmap of the URL, can be a default icon if not found

KIO.TransferJob put | ( | KUrl | url,
|  | int | permissions,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Put (a.k.a. write)

Parameters:

  | url | Where to write data.
  | permissions | May be -1. In this case no special permission mode is set.
  | flags | Can be HideProgressInfo, Overwrite and Resume here. WARNING: Setting Resume means that the data will be appended to dest if dest exists.

Returns:
  the job handling the operation.

See also:
  multi_get()

QByteArray rawErrorDetail | ( | int | errorCode,
|  | QString | errorText,
|  | KUrl | reqUrl=0,
|  | int | method=-1
| ) |  |  |

Returns translated error details for errorCode using the additional error information provided by errorText , reqUrl (the request URL), and the ioslave method .

Parameters:

  | errorCode | the error code
  | errorText | the additional error text
  | reqUrl | the request URL
  | method | the ioslave method

Returns:
  the following data:

- QString errorName - the name of the error
- QString techName - if not null, the more technical name of the error
- QString description - a description of the error
- QStringList causes - a list of possible causes of the error
- QStringList solutions - a liso of solutions for the error

KIO.SimpleJob rename | ( | KUrl | src,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Rename a file or directory. Warning: this operation fails if a direct renaming is not possible (like with files or dirs on separate partitions) Use move or file_move in this case.

Parameters:

  | src | The original URL
  | dest | The final URL
  | flags | Can be Overwrite here

Returns:
  the job handling the operation.

KIO.SimpleJob rmdir | ( | KUrl | url
| ) |  |  |

Removes a single directory.

The directory is assumed to be empty. The job will fail if the directory is not empty. Use KIO.del() (DeleteJob) to delete non-empty directories.

Parameters:

  | url | The URL of the directory to remove.

Returns:
  A pointer to the job handling the operation.

KIO.SimpleJob setModificationTime | ( | KUrl | url,
|  | QDateTime | mtime
| ) |  |  |

Changes the modification time on a file or directory.

Parameters:

  | url | The URL of file or directory.
  | permissions | The permissions to set.

Returns:
  the job handling the operation.

KIO.SimpleJob special | ( | KUrl | url,
|  | QByteArray | data,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Execute any command that is specific to one slave (protocol).

Examples are : HTTP POST, mount and unmount (kio_file)

Parameters:

  | url | The URL isn't passed to the slave, but is used to know which slave to send it to :-)
  | data | Packed data. The meaning is completely dependent on the slave, but usually starts with an int for the command number.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.StatJob stat | ( | KUrl | url,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Find all details for one file or directory. This version of the call includes two additional booleans, sideIsSource and details.

Parameters:

  | url | the URL of the file
  | sideIsSource | is true when stating a source file (we will do a get on it if the stat works) and false when stating a destination file (target of a copy). The reason for this parameter is that in some cases the kioslave might not be able to determine a file's existence (e.g. HTTP doesn't allow it, FTP has issues with case-sensitivity on some systems). When the slave can't reliably determine the existence of a file, it will:

- be optimistic if sideIsSource=true, i.e. it will assume the file exists,
and if it doesn't this will appear when actually trying to download it
- be pessimistic if sideIsSource=false, i.e. it will assume the file
doesn't exist, to prevent showing "about to overwrite" errors to the user. If you simply want to check for existence without downloading/uploading afterwards, then you should use sideIsSource=false.

Parameters:

  | details | selects the level of details we want. By default this is 2 (all details wanted, including modification time, size, etc.), setDetails(1) is used when deleting: we don't need all the information if it takes too much time, no need to follow symlinks etc. setDetails(0) is used for very simple probing: we'll only get the answer "it's a file or a directory, or it doesn't exist". This is used by KRun.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.StatJob stat | ( | KUrl | url,
|  | KIO.StatJob.StatSide | side,
|  | int | details,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Find all details for one file or directory. This version of the call includes two additional booleans, sideIsSource and details.

Parameters:

  | url | the URL of the file
  | sideIsSource | is true when stating a source file (we will do a get on it if the stat works) and false when stating a destination file (target of a copy). The reason for this parameter is that in some cases the kioslave might not be able to determine a file's existence (e.g. HTTP doesn't allow it, FTP has issues with case-sensitivity on some systems). When the slave can't reliably determine the existence of a file, it will:

- be optimistic if sideIsSource=true, i.e. it will assume the file exists,
and if it doesn't this will appear when actually trying to download it
- be pessimistic if sideIsSource=false, i.e. it will assume the file
doesn't exist, to prevent showing "about to overwrite" errors to the user. If you simply want to check for existence without downloading/uploading afterwards, then you should use sideIsSource=false.

Parameters:

  | details | selects the level of details we want. By default this is 2 (all details wanted, including modification time, size, etc.), setDetails(1) is used when deleting: we don't need all the information if it takes too much time, no need to follow symlinks etc. setDetails(0) is used for very simple probing: we'll only get the answer "it's a file or a directory, or it doesn't exist". This is used by KRun.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.StatJob stat | ( | KUrl | url,
|  | bool | sideIsSource,
|  | int | details,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Find all details for one file or directory. This version of the call includes two additional booleans, sideIsSource and details.

Parameters:

  | url | the URL of the file
  | sideIsSource | is true when stating a source file (we will do a get on it if the stat works) and false when stating a destination file (target of a copy). The reason for this parameter is that in some cases the kioslave might not be able to determine a file's existence (e.g. HTTP doesn't allow it, FTP has issues with case-sensitivity on some systems). When the slave can't reliably determine the existence of a file, it will:

- be optimistic if sideIsSource=true, i.e. it will assume the file exists,
and if it doesn't this will appear when actually trying to download it
- be pessimistic if sideIsSource=false, i.e. it will assume the file
doesn't exist, to prevent showing "about to overwrite" errors to the user. If you simply want to check for existence without downloading/uploading afterwards, then you should use sideIsSource=false.

Parameters:

  | details | selects the level of details we want. By default this is 2 (all details wanted, including modification time, size, etc.), setDetails(1) is used when deleting: we don't need all the information if it takes too much time, no need to follow symlinks etc. setDetails(0) is used for very simple probing: we'll only get the answer "it's a file or a directory, or it doesn't exist". This is used by KRun.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.StoredTransferJob storedGet | ( | KUrl | url,
|  | KIO.LoadType | reload=KIO.NoReload,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Get (a.k.a. read), into a single QByteArray.

See also:
  StoredTransferJob

Parameters:

  | url | the URL of the file
  | reload: | Reload to reload the file, NoReload if it can be taken from the cache
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

KIO.StoredTransferJob storedHttpPost | ( | QByteArray | arr,
|  | KUrl | url,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

HTTP POST (a.k.a. write) data from a single QByteArray.

See also:
  StoredTransferJob

Parameters:

  | arr | The data to write
  | url | Where to write data.
  | flags | Can be HideProgressInfo here.

Returns:
  the job handling the operation.

Since:
  4.2

KIO.StoredTransferJob storedPut | ( | QByteArray | arr,
|  | KUrl | url,
|  | int | permissions,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Put (a.k.a. write) data from a single QByteArray.

See also:
  StoredTransferJob

Parameters:

  | arr | The data to write
  | url | Where to write data.
  | permissions | May be -1. In this case no special permission mode is set.
  | flags | Can be HideProgressInfo, Overwrite and Resume here. WARNING: Setting Resume means that the data will be appended to dest if dest exists.

Returns:
  the job handling the operation.

KIO.SimpleJob symlink | ( | QString | target,
|  | KUrl | dest,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Create or move a symlink. This is the lowlevel operation, similar to file_copy and file_move. It doesn't do any check (other than those the slave does) and it doesn't show rename and skip dialogs - use KIO.link for that.

Parameters:

  | target | The string that will become the "target" of the link (can be relative)
  | dest | The symlink to create.
  | flags | Can be Overwrite and HideProgressInfo

Returns:
  the job handling the operation.

KIO.CopyJob trash | ( | KUrl | src,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Trash a list of files or directories. This is currently only supported for local files and directories.

Parameters:

  | src | the files to delete
  | flags: | trash() supports HideProgressInfo only

Returns:
  the job handling the operation

KIO.CopyJob trash | ( | KUrl.List | src,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Trash a list of files or directories. This is currently only supported for local files and directories.

Parameters:

  | src | the files to delete
  | flags: | trash() supports HideProgressInfo only

Returns:
  the job handling the operation

KIO.SimpleJob unmount | ( | QString | point,
|  | KIO.JobFlags | flags=KIO.DefaultFlags
| ) |  |  |

Unmount filesystem.

Special job for kio_file.

Parameters:

  | point | Point to unmount.
  | flags | Can be HideProgressInfo here

Returns:
  the job handling the operation.

QString unsupportedActionErrorString | ( | QString | protocol,
|  | int | cmd
| ) |  |  |

Returns an appropriate error message if the given command cmd is an unsupported action (ERR_UNSUPPORTED_ACTION).

Parameters:

  | protocol | name of the protocol
  | cmd | given command

See also:
  enum Command